###################################################
### chunk number 1: 
###################################################
#line 2 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
options(width=70)
options(continue=" ")


###################################################
### chunk number 2: 
###################################################
#line 89 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
library(unmarked)
wt <- read.csv(system.file("csv","widewt.csv", package="unmarked"))
y <- wt[,2:4]
siteCovs <-  wt[,c("elev", "forest", "length")]
obsCovs <- list(date=wt[,c("date.1", "date.2", "date.3")],
    ivel=wt[,c("ivel.1",  "ivel.2", "ivel.3")])
wt <- unmarkedFrameOccu(y = y, siteCovs = siteCovs, obsCovs = obsCovs)
summary(wt)


###################################################
### chunk number 3: 
###################################################
#line 102 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
wt <- csvToUMF(system.file("csv","widewt.csv", package="unmarked"), long = FALSE, type = "unmarkedFrameOccu")


###################################################
### chunk number 4: 
###################################################
#line 110 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
pcru <- csvToUMF(system.file("csv","frog2001pcru.csv", package="unmarked"), long = TRUE, type = "unmarkedFrameOccu")


###################################################
### chunk number 5: 
###################################################
#line 117 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
obsCovs(pcru) <- scale(obsCovs(pcru))


###################################################
### chunk number 6: 
###################################################
#line 124 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
fm1 <- occu(~1 ~1, pcru)
fm2 <- occu(~ MinAfterSunset + Temperature ~ 1, pcru)
fm2


###################################################
### chunk number 7: 
###################################################
#line 139 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
backTransform(fm2, 'state')


###################################################
### chunk number 8: 
###################################################
#line 148 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
backTransform(linearComb(fm2, coefficients = c(1,0,0), type = 'det'))


###################################################
### chunk number 9: 
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
newData <- data.frame(MinAfterSunset = 0, Temperature = -2:2)
round(predict(fm2, type = 'det', newdata = newData, appendData=TRUE), 2)


###################################################
### chunk number 10: 
###################################################
#line 164 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
confint(fm2, type='det')
confint(fm2, type='det', method = "profile")


###################################################
### chunk number 11: 
###################################################
#line 172 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
fms <- fitList('psi(.)p(.)' = fm1, 'psi(.)p(Time+Temp)' = fm2)
modSel(fms)
predict(fms, type='det', newdata = newData)


###################################################
### chunk number 12: 
###################################################
#line 182 "d:/Rcompile/CRANpkg/local/2.12/unmarked/inst/doc/unmarked.Rnw"
chisq <- function(fm) {
    umf <- getData(fm)
    y <- getY(umf)
    y[y>1] <- 1
    sr <- fm@sitesRemoved
    if(length(sr)>0)
        y <- y[-sr,,drop=FALSE]
    fv <- fitted(fm, na.rm=TRUE)
    y[is.na(fv)] <- NA
    sum((y-fv)^2/(fv*(1-fv)), na.rm=TRUE)
    }

(pb <- parboot(fm2, statistic=chisq, nsim=100))


